<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="mi-gesture-event">
  <template>
    <style>
      :host {
        display: block;
      }
      #dragme {
        width: 500px;
        height: 500px;
        background: gray;
      }
    </style>
    <div id="dragme" on-track="handleTrack">[[message]]</div>
  </template>

  <script>
    /**
     * `mi-gesture-event`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class MiGestureEvent extends Polymer.GestureEventListeners(Polymer.Element) {
      static get is() { return 'mi-gesture-event'; }
      handleTrack(e) {
        switch(e.detail.state) {
          case 'start':
            this.messsage = 'Tracking started';
            break;
          case 'track':
            this.message = 'Tracking in progress... ' + e.detail.x + ', ' + e.detail.y;
            break;
          case 'end': 
            this.message = 'Tracking ended';
            break;
        }
      }
    }

    window.customElements.define(MiGestureEvent.is, MiGestureEvent);
  </script>
</dom-module>
